%global namedreltag .Final
%global namedversion %{version}%{?namedreltag}
Name:          jboss-javaee6-specs-bom
Version:       1.0.1
Release:       %mkrel 1
Summary:       Java EE 6 API BOM
Group:         Development/Java
License:       LGPLv2+
URL:           http://www.jboss.org/
# http://anonsvn.jboss.org/repos/jbossas/projects/specs/tags/jboss-javaee6-specs-bom-1.0.1.Final
# tar czf jboss-javaee6-specs-bom-1.0.1.Final-src-svn.tar.gz jboss-javaee6-specs-bom-1.0.1.Final
Source0:       jboss-javaee6-specs-bom-%{namedversion}-src-svn.tar.gz

Patch0:        jboss-javaee6-specs-bom-1.0.1.Final-no-activation.patch
# FIXME
# org.jboss.resteasy jaxrs-api
Patch1:        jboss-javaee6-specs-bom-2.0.0.Final-jaxrs-api.patch

# javax.servlet jstl
Patch2:        jboss-javaee6-specs-bom-1.0.1.Final-jstl.patch

BuildRequires: jpackage-utils
BuildRequires: jboss-common-core
BuildRequires: jboss-specs-parent

BuildRequires: maven
BuildRequires: maven-enforcer-plugin
BuildRequires: maven-install-plugin
BuildRequires: maven-source-plugin

# javax.inject
Requires:      atinject
# stax stax-api
Requires:      bea-stax-api
# javax.servlet jstl
Requires:      glassfish-jstl
Requires:      hibernate-jpa-2.0-api
# javax.validation
Requires:      hibernate-validation-api
Requires:      javamail
Requires:      jboss-annotations-1.1-api
Requires:      jboss-connector-1.5-api
Requires:      jboss-ejb-3.1-api
Requires:      jboss-el-2.2-api
Requires:      jboss-interceptors-1.1-api
Requires:      jboss-jacc-1.4-api
Requires:      jboss-jad-1.2-api
Requires:      jboss-jaspi-1.0-api
Requires:      jboss-jaxb-2.2-api
Requires:      jboss-jaxr-1.0-api
Requires:      jboss-jaxrpc-1.1-api
Requires:      jboss-jaxws-2.2-api
Requires:      jboss-jms-1.1-api
Requires:      jboss-jsp-2.2-api
Requires:      jboss-saaj-1.3-api
Requires:      jboss-servlet-3.0-api
Requires:      jboss-specs-parent
Requires:      jboss-transaction-1.1-api
# javax.jws jsr181-api
Requires:      sun-ws-metadata-2.0-api
# com.sun.faces jsf-api
Requires:      mojarra
# javax.enterprise
Requires:      weld-cdi-api

Requires:      java
Requires:      jpackage-utils

BuildArch:     noarch

%description
Bill of Materials for EE 6 APIs for use with JBoss AS 6.

%prep
%setup -q -n %{name}-%{namedversion}
%patch0 -p0
%patch1 -p0
%patch2 -p0

%build
mvn-rpmbuild install
%install

install -d -m 755 %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP.jboss-%{name}.pom
%add_maven_depmap JPP.jboss-%{name}.pom

%files
%{_mavenpomdir}/JPP.jboss-%{name}.pom
%{_mavendepmapfragdir}/%{name}


%changelog

* Sat Mar 03 2012 gil <gil> 1.0.1-1.mga2
+ Revision: 217027
- imported package jboss-javaee6-specs-bom

